package com.gh.gamecenter.message.view.concern

import com.gh.gamecenter.feature.entity.ConcernEntity
import com.gh.gamecenter.feature.entity.GameEntity


interface OnConcernContentEventListener {
    fun onGameCLick(position: Int, gameEntity: GameEntity?)
    fun onArticleClick(position: Int, concernEntity: ConcernEntity)
    fun onComment(position: Int, concernEntity: ConcernEntity)
    fun onShare(position: Int, concernEntity: ConcernEntity?)

    fun onGiftPackageClick(position: Int, concernEntity: ConcernEntity)
}
